﻿@using LoyaltyPointEngine.Model.Object.AutomateCampaign

@{
    ViewBag.Title = "AddMassParticipant";
    List<string> ListError = ViewBag.errors != null ? ViewBag.errors as List<string> : new List<string>();
    //ucup
    List<string> Listdata = ViewBag.success != null ? ViewBag.success as List<string> : new List<string>();

}
@model List<ParticipantTemplateUploadModel>
<h2>Add Mass Participant</h2>
<br />
<div class="row">

    <div class="col-md-6 pull-left">
        <div class="widget box">
            <div class="widget-content">
                @if (ViewBag.errors != null)
                {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <i class="fa fa-times-circle"></i>
                        Error occured: <br />
                        @Html.ValidationSummary()
                        <hr />
                        @if (ListError.Count > 0)
                        {
                            <ul style="list-style-type:circle;">
                                @foreach (var err in ListError)
                                {
                                    <li>
                                        @err
                                    </li>
                                }
                            </ul>
                        }
                    </div>
                }

                @using (Html.BeginForm(MVC.MemberParticipantACB.AddMassParticipant(), FormMethod.Post, new { enctype = "multipart/form-data", @id = "formMassParticipant"}))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }
                    <div class="form-group">
                        <label class="col-md-3 control-label">Campaign List <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownList("campaignID", ViewBag.CampaignList as List<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", required = "required" })
                        </div>
                    </div>
                    <div class="btn-group">
                        <input type="file" name="excelFile" class="btn btn-primary" required />
                    </div>
                    <div class="form-actions">
                        <input type="submit" id="btnSubmit" value="Submit" class="btn btn-primary pull-right">
                    </div>
                }

            </div>
        </div>
    </div>
    <div class="col-md-6 pull-left">
        <ul class="page-stats">
            <li>
                <a href="@Url.Action(MVC.MemberParticipantACB.DownloadExcelTemplate())" class="btn btn-icon input-block-level">
                    <i class="icon-group"></i>
                    <div>Download Excel Templates</div>
                </a>
            </li>
        </ul>
    </div>
</div>
@if (Model != null && ViewBag.TotalData != 0)
{
    <div>Total Data : @ViewBag.TotalData same member</div>
    <div id="grid-wrapper" class="widget-content">
        <table class="table table-striped grid-table">
            <thead>
                <tr>
                    <th class="grid-header" title="Phone"><div class="grid-header-title">Phone</div></th>
                </tr>
            </thead>
            <tbody>
                @foreach (ParticipantTemplateUploadModel member in Model)
                {
                    <tr class="grid-row">
                        <td class="grid-cell">@member.phone</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}
@section FooterScript {
    <script type="text/javascript">
        $(document).ready(function () {
            $('#btnSubmit').click(function () {
                $.extend($.validator.defaults, {
                    invalidHandler: function (form, validator) {
                        var errors = validator.numberOfInvalids();
                        if (errors) {
                            var message = errors == 1
                            ? 'You missed 1 field. It has been highlighted.'
                            : 'You missed ' + errors + ' fields. They have been highlighted.';
                            noty({
                                text: message,
                                type: 'error',
                                timeout: 2000
                            });
                        }
                    },
                    errorPlacement: function (error, element) {
                        if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                            error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                        } else {
                            error.insertAfter(element)
                        }
                    }
                });

                $("#formMassParticipant").validate();
                var fileName = $('[name="excelFile"]').val().trim();

                var pos = fileName.lastIndexOf('.');
                var extension = (pos <= 0) ? '' : fileName.substring(pos);
                if (extension != '.xlsx') {
                    alert('Please browse a correct excel file to upload');
                    return;
                }

                $('form').submit();
            });
            if ('@ViewBag.success' != "") {
                $('#upload-modal-message').html('@ViewBag.success');
                $('#myModalExcel').modal();
            }
        });
    </script>
}


